#!/bin/bash

# Vérification des droits
if [ "$UID" -ne "0" ]
then
	echo "Vous devez être root pour lancer ce script."
	exit
fi

#Sauvegadre de l'ancien sources.list
if [ ! -e "/etc/apt/sources.list.backup" ]
then
	echo "Sauvegarde du sources.list"
	mv /etc/apt/sources.list /etc/apt/sources.list.backup
fi
echo "Generation du sources.list complet"
cp ./sources.list/sources.list /etc/apt/

#Mises a jour
echo "Premier update"
apt-get update
echo "Installation de debian-multimedia-keyring"
apt-get install deb-multimedia-keyring

echo "Deuxieme update"
apt-get update


#ajout de l’architecture 32bits
dpkg --add-architecture i386
apt-get install -y ia32-libs-gtk

echo "Installation des paquets supplementaires"
# apt-get install -y lightdm
apt-get install sudo
# apt-get install gksu

echo "Installation pour notifications MAJ Xfce"
apt-get install -y apt-config-auto-update
apt-get install -y gnome-packagekit
apt-get install -y update-notifier
apt-get install -y chromium chromium-l10n
apt-get install -y hardinfo
apt-get install -y htop
apt-get install -y gparted
apt-get install -y gnome-disk-utility
apt-get install -y firmware-iwlwifi
apt-get install -y ntp
apt-get install -y ntpdate
apt-get install -y catfish
apt-get install -y numlockx
apt-get install -y firmware-linux-free
apt-get install -y flashplayer-mozilla
apt-get install -y firmware-linux
apt-get install -y gthumb
apt-get install -y gimp
apt-get install -y gnome-games
apt-get install -y keepassx
apt-get install -y mc
apt-get install -y pdfsam-basic

# apt-get install -y qalculate
# apt-get install -y thunar-archive-plugin
aptitude purge -y evince # au cas ou
apt-get install -y atril
# apt-get install -y gvfs-fuse gvfs-backends # Pour se connecter en ssh avec thunar

# apt-get install -y ffmpegthumbnailer thunar-thumbnailers

#preview video thunar
#apt-get install -y tumbler-plugins-extra
#apt-get install -y avidemux
#Police de caractéres microsoft
apt-get install -y ttf-mscorefonts-installer

#!!!!!!!! Rajouter WICD pour les portables
#                  Update notifier

#Paquets codecs supplémentaires :
# apt-get install -y gstreamer0.10-plugins-base
# apt-get install -y gstreamer0.10-plugins-good
apt-get install -y gstreamer0.10-plugins-ugly


#Lecture des DVD
apt-get install -y libdvdnav4 libdvdread4 libdvdcss2

#Mises a jour
echo "Dernier update"
apt-get update

echo "Upgrade"
apt-get upgrade
